Bug 1297416 - qemu: stack-based buffer overflow in gem_receive()
qemu: stack-based buffer overflow in gem_receive()
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160114,repor...
: Security
Depends On:
Blocks: 1297427
  Show dependency treegraph
 
Reported: 2016-01-11 08:21 EST by Martin Prpič
Modified: 2016-04-26 17:09 EDT (History)
30 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 11:14:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2016-01-11 08:21:02 EST
A stack-based buffer overflow flaw was found in QEMU's gem_receive() function.

When GEM_NWCFG_STRIP_FCS was not set, gem_receive() would copy packet data to rxbuf[2048], resulting in a buffer overflow if the length of a packet was more than 2048.

Acknowledgements:

Red Hat would like to thank Ling Liu of Qihoo 360 Inc. for reporting this issue.
Comment 1 Prasad J Pandit 2016-01-14 11:11:14 EST
This turned out to be a security non-issue.
  -> https://bugzilla.redhat.com/show_bug.cgi?id=1297427#c3

Note You need to log in before you can comment on or make changes to this bug.